Project

General

Profile

Bug #11336

Technique "Package sources and settings (APT)" does not support stretch

Added by Ilan COSTA 3 months ago. Updated 3 months ago.

Status:
Released
Priority:
N/A
Category:
Techniques
Target version:
Target version (plugin):
Severity:
User visibility:
Effort required:
Priority:
0

Description

Hi,

The "Automatically detect the distribution" option in "Package sources and settings (APT)" technique didn't works with debian stretch.

It generate a file in /etc/apt/sources.list.d/ with this content :

deb http://www.rudder-project.org/apt-4.1/ ${apt_detected_distro} main

Rudder agent version is : Version: Rudder agent 4.1.8~rc1~git201709060205-stretch0 (CFEngine Core 3.10.2)

Associated revisions

Revision 8159b8de
Added by Vincent MEMBRÉ 3 months ago

Fixes #11336: Technique \"Package sources and settings (APT)\" does not support stretch

History

#1 Updated by Vincent MEMBRÉ 3 months ago

  • Subject changed from Rudder agent do not detech debian 9 stretch properly to Technique "Package sources and settings (APT)" does not support stretch
  • Category changed from Agent to Techniques
  • Target version set to 4.1.8

#2 Updated by Vincent MEMBRÉ 3 months ago

  • Status changed from New to In progress
  • Assignee set to Vincent MEMBRÉ

#3 Updated by Vincent MEMBRÉ 3 months ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Vincent MEMBRÉ to Benoît PECCATTE
  • Pull Request set to https://github.com/Normation/rudder-techniques/pull/1190

#4 Updated by Vincent MEMBRÉ 3 months ago

  • Status changed from Pending technical review to Pending release

#5 Updated by Vincent MEMBRÉ 3 months ago

  • Target version changed from 4.1.8 to 4.1.7

#6 Updated by Vincent MEMBRÉ 3 months ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 4.1.7 and 4.2.0~rc1 which were released today.

Also available in: Atom PDF